Runtime

## org.eclipse.gmf.runtime.common.ui.action.actions.global
Class GlobalUndoAction

    java.lang.Object
      AbstractActionHandler
          org.eclipse.gmf.runtime.common.ui.action.global.GlobalAction
              org.eclipse.gmf.runtime.common.ui.action.actions.global.GlobalUndoAction

    public final class GlobalUndoAction

extends GlobalAction

Global Undo Action.

Extension of the GMF `GlobalAction` class that delegates undo behaviour to the undoable operation framework's `UndoActionHandler`.

The undo context can be set through `setUndoContext(IUndoContext)`. If it is not explicitly set, the undo context will be derived by adapting the workbench part to `IUndoContext`.

Constructor Summary
`GlobalUndoAction(IWorkbenchPage workbenchPage)` Initializes me with a workbench page.
`GlobalUndoAction(IWorkbenchPart workbenchPart)` Initilizes me with a workbench part.

Method Summary
`void` `dispose()` Sets my delegate to `null`.
`protected void` `doRun(IProgressMonitor progressMonitor)` Delegates to the operation framework action handler.
`java.lang.String` `getActionId()` Returns the `GlobalActionId` handled by this action
`java.lang.String` `getDescription()` Delegates to the operation framework action handler.
`ImageDescriptor` `getDisabledImageDescriptor()` Delegates to the operation framework action handler.
`ImageDescriptor` `getHoverImageDescriptor()` Delegates to the operation framework action handler.
`ImageDescriptor` `getImageDescriptor()` Delegates to the operation framework action handler.
`java.lang.String` `getText()` Delegates to the operation framework action handler.
`java.lang.String` `getToolTipText()` Delegates to the operation framework action handler.
`IUndoContext` `getUndoContext()` Gets my undo context.
`WorkIndicatorType` `getWorkIndicatorType()` No work indicator type since my delegate takes care of showing progress.
`protected void` `initializeWithContext(IUndoContext context)` Initializes me with a new undo `context`.
`boolean` `isEnabled()` Delegates to the operation framework action handler.
`boolean` `isHandled()` Delegates to the operation framework action handler.
`protected boolean` `isOperationHistoryListener()` Listens to the operation history events.
`void` `refresh()` Delegates to the operation framework action handler.
`void` `setChecked(boolean checked)` Delegates to the operation framework action handler.
`void` `setUndoContext(IUndoContext context)` Sets my undo context.
`protected void` `setWorkbenchPart(IWorkbenchPart workbenchPart)` Extends the superclass implementation to update the operation history undo action handler to which I delegate.

Methods inherited from class org.eclipse.gmf.runtime.common.ui.action.global.GlobalAction
`createCompositeCommand, createContext, getGlobalActionHandlerData, getObjectContextGlobalActionHandlerData, getWorkbenchActionConstant, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GlobalUndoAction

    public GlobalUndoAction(IWorkbenchPage workbenchPage)

  Initializes me with a workbench page.

  Parameters:
    `workbenchPage` - the page

### GlobalUndoAction

    public GlobalUndoAction(IWorkbenchPart workbenchPart)

  Initilizes me with a workbench part.

  Parameters:
    `workbenchPart` - the part

Method Detail

### getActionId

    public java.lang.String getActionId()

  Description copied from class: `GlobalAction`
  Returns the `GlobalActionId` handled by this action

  Specified by:
    `getActionId` in class `GlobalAction`
  Returns:
    int

### setWorkbenchPart

    protected void setWorkbenchPart(IWorkbenchPart workbenchPart)

  Extends the superclass implementation to update the operation history undo action handler to which I delegate.

### initializeWithContext

    protected void initializeWithContext(IUndoContext context)

  Initializes me with a new undo `context`.

  Parameters:
    `context` - the undo context

### getImageDescriptor

    public ImageDescriptor getImageDescriptor()

  Delegates to the operation framework action handler.

### getDisabledImageDescriptor

    public ImageDescriptor getDisabledImageDescriptor()

  Delegates to the operation framework action handler.

### getHoverImageDescriptor

    public ImageDescriptor getHoverImageDescriptor()

  Delegates to the operation framework action handler.

### getText

    public java.lang.String getText()

  Delegates to the operation framework action handler.

### getToolTipText

    public java.lang.String getToolTipText()

  Delegates to the operation framework action handler.

### getDescription

    public java.lang.String getDescription()

  Delegates to the operation framework action handler.

### isEnabled

    public boolean isEnabled()

  Delegates to the operation framework action handler.

### isHandled

    public boolean isHandled()

  Delegates to the operation framework action handler.

### setChecked

    public void setChecked(boolean checked)

  Delegates to the operation framework action handler.

### doRun

    protected void doRun(IProgressMonitor progressMonitor)

  Delegates to the operation framework action handler.

  Overrides:
    `doRun` in class `GlobalAction`

### refresh

    public void refresh()

  Delegates to the operation framework action handler.

  Overrides:
    `refresh` in class `GlobalAction`

### setUndoContext

    public final void setUndoContext(IUndoContext context)

  Sets my undo context.

  Parameters:
    `undoContext` - my undo context

### getUndoContext

    public final IUndoContext getUndoContext()

  Gets my undo context. If it has not been explicitly set, derives the undo context from my workbench part.

  Overrides:
    `getUndoContext` in class `GlobalAction`
  Returns:
    my undo context. May be `null` if no one has set my undo context and my workbench part does not adapt to `IUndoContext`.

### isOperationHistoryListener

    protected boolean isOperationHistoryListener()

  Listens to the operation history events.

### dispose

    public void dispose()

  Sets my delegate to `null`.

### getWorkIndicatorType

    public WorkIndicatorType getWorkIndicatorType()

  No work indicator type since my delegate takes care of showing progress.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.